# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/6/27
import datetime
import os
import sys
import time

sys.path.append(os.getcwd())
from crawler_monitor.main.common import Common
from crawler_monitor.main.update_xiaoniangao import UpdateXiaoNianGao


class Main:
    @classmethod
    def main(cls):
        while True:
            today = datetime.datetime.now().strftime("%Y-%m-%d")
            Common.logger("xiaoniangao").info("today:{}", today)
            UpdateXiaoNianGao.check_data(today)
            while True:
                main_time = datetime.datetime.now()
                if main_time.hour == 0:
                    start_time = time.time()
                    UpdateXiaoNianGao.update_play_cnt()
                    end_time = time.time()
                    Common.del_logs("xiaoniangao")
                    Common.logger("xiaoniangao").info("全部更新完成，共耗时:{}秒\n", int(end_time-start_time))
                    time.sleep(3600)
                    break
                else:
                    time.sleep(600)
                    break


if __name__ == "__main__":
    main = Main()
    main.main()
